
Redmine - Feature #5005

"New issue" link near roadmap issue lists.

2010-03-07 06:47 - Go MAEDA

Status: Closed Start date: 2010-03-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Context menu added to roadmap list at r3547 is nice.

It would be great if there is a link to new issue near roadmap list. When the link clicked, the user will see new issue form with target

version is selected.

Related issues:

Has duplicate Redmine - Feature #24438: Ability to add issue to a version wit... Closed

Is duplicate of Redmine - Patch #28138: Add link to add a new issue on the ve... Closed

History

#1 - 2010-03-07 10:32 - Jean-Philippe Lang

- Category set to UI

#2 - 2010-03-25 15:33 - Yuki Kita

- File roadmap.rhtml.diff added

+1

This is a patch.

I hope it will be applied to the core.

Regards

#3 - 2010-03-27 15:22 - Yuki Kita

- File Screenshot.png added

Added the screenshot

#4 - 2011-01-11 08:11 - Go MAEDA

I hope Yuki Kita's patch will be merged into Redmine 1.2.

#5 - 2014-12-03 14:36 - Go MAEDA

- File patch-5005.diff added

Updated Yuki Kita's patch for current trunk(r13694).

#6 - 2015-03-20 11:04 - Go MAEDA

- File 5005-r14137.diff added

I have updated Yuki Kita's patch so that it can be applied to the current trunk(r14137).

#7 - 2015-03-20 11:25 - Jean-Philippe Lang

- Target version set to 3.1.0

#8 - 2015-03-21 09:41 - Jean-Philippe Lang

- Target version deleted (3.1.0)
https://www.redmine.org/projects/redmine/repository/svn/revisions/3547
https://www.redmine.org/projects/redmine/repository/svn/revisions/13694
https://www.redmine.org/projects/redmine/repository/svn/revisions/14137


Actually, this patch is problematic. There are many cases where these links wouldn't work, eg. the target version field is read-only for the user (just

like here on redmine.org), or not available for the default tracker.

#9 - 2015-04-02 12:19 - Go MAEDA

Actually, this patch is problematic. There are many cases where these links wouldn't work, eg. the target version field is read-only for the user

(just like here on redmine.org), or not available for the default tracker.

 Indeed, I understand. Many conditions should be checked to display the link. Thanks for feedback.

#10 - 2015-11-29 06:17 - Akipii Oga

+1

nice idea!

#11 - 2016-11-24 11:23 - Toshi MARUYAMA

- Has duplicate Feature #24438: Ability to add issue to a version within the roadmap added

#12 - 2018-02-11 07:48 - Go MAEDA

- Is duplicate of Patch #28138: Add link to add a new issue on the version page added

#13 - 2018-02-11 07:51 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

A more sophisticated patch has been submitted as #28138.

Files

roadmap.rhtml.diff 949 Bytes 2010-03-25 Yuki Kita

Screenshot.png 35.5 KB 2010-03-27 Yuki Kita

patch-5005.diff 879 Bytes 2014-12-03 Go MAEDA

5005-r14137.diff 820 Bytes 2015-03-20 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/28138
http://www.tcpdf.org

